### Method

# Gtk.TextIter.backward_search

#### Declaration [src]

    gboolean
    gtk_text_iter_backward_search (
      const GtkTextIter* iter,
      const char* str,
      GtkTextSearchFlags flags,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      const GtkTextIter* limit
    )

#### Description [src]

Same as `gtk_text_iter_forward_search()`, but moves backward.

`match_end` will never be set to a `GtkTextIter` located after `iter`, even if there is a possible `match_start` before or at `iter`.

#### Parameters

`str` | `const char*`
| search string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`flags` | `GtkTextSearchFlags`
| bitmask of flags affecting the search
`match_start` | `GtkTextIter`
| return location for start of match, or `NULL`
| Direction: out
| Ownership is not transferred to the callee
`match_end` | `GtkTextIter`
| return location for end of match, or `NULL`
| Direction: out
| Ownership is not transferred to the callee
`limit` | `GtkTextIter`
| location of last possible `match_start`, or `NULL` for start of buffer
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
whether a match was found